#include "GuardPatrolComponent.h"
#include "Net/UnrealNetwork.h"

void UGuardPatrolComponent::OnRep_PatrolState()
{

}

void UGuardPatrolComponent::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(UGuardPatrolComponent, _currentDirection);
	DOREPLIFETIME(UGuardPatrolComponent, _patrolPathLength);
	DOREPLIFETIME(UGuardPatrolComponent, _patrolState);
	DOREPLIFETIME(UGuardPatrolComponent, _patrolTimeLeft);
	DOREPLIFETIME(UGuardPatrolComponent, _patrolTotalDuration);
}

UGuardPatrolComponent::UGuardPatrolComponent()
{
	this->_currentDirection = ETrailDirection::Backward;
	this->_patrolPathLength = -1.000000;
	this->_patrolState = EPatrolState::None;
	this->_patrolTotalDuration = 0.000000;
	this->_distanceBeforeHeadingToNextNode = 100.000000;
	this->_maxDetourLength = 200.000000;
}
